
# EmailNotification::__construct 

### Usage

>  EmailNotification::__construct(int $id, [ bool $is_active = true ], [ string $controller = '' ], [ string $alias = '' ], [ string $sender = '' ], [ string $recipient = '' ], [ string $reply_to = '' ], [ string $cc = '' ], [ string $bcc = '' ], [ string $subject = '' ], [ string $text_contents = '' ], [ string $html_contents = '' ], [ string $condition_vars = '' ])

### Description

> Constructor

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
id | Yes | int |
is_active | No | bool |
controller | No | string |
alias | No | string |
sender | No | string |
recipient | No | string |
reply_to | No | string |
cc | No | string |
bcc | No | string |
subject | No | string |
text_contents | No | string |
html_contents | No | string |
condition_vars | No | string |

### Return
>  
### See Also

* [__get()](__get)
* [__set()](__set)
* [all()](all)
* [count()](count)
* [delete()](delete)
* [deleteMany()](deletemany)
* [getAttachments()](getattachments)
* [getChildren()](getchildren)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


